Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5321 - useradd bug
Summary: useradd bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-23 12:28 UTC by brian.olson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 14:04:32 UTC


Attachments (Terms of Use)

Description brian.olson 1999-09-23 12:28:26 UTC
Using useradd with symbolic links in /etc/skel creates a
symbolic link in the user's home directory that points to a
file that is different than that in /etc/skel.

For example, with "core -> /dev/null" in /etc/skel, the file
that is created in the home directory is
"core -> /dev/null???`???????_???"

This outcome is the same for any symbolic link to any file;
however, the filename that the link points to in the home
directory is different for each.

Comment 1 David Lawrence 1999-09-23 16:12:59 UTC
I have verified this to be true with shadow-utils-980403-12. This is
being assigned to a developer.

Comment 2 Bernhard Rosenkraenzer 2000-02-16 14:04:59 UTC
Fixed in 6.2


Note You need to log in before you can comment on or make changes to this bug.